package meteo;

import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.xml.sax.helpers.DefaultHandler;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
/**
 *
 * @author petr
 */
public class MeteoHandler extends DefaultHandler {

    /**
     * Text položky.
     */
    private StringBuffer text;
    /**
     * Vypisuji se mista s teplotou >= t_degreesC (stupne celsia)
     */
    double t_degreesC;
    String domain_longTitle;

    MeteoHandler(double c) {
        t_degreesC = c;
        text = new StringBuffer();
    }

    @Override
    public void characters(char[] ch, int start, int length)
            throws SAXException {
        if (text != null) {
            text.append(ch, start, length);
        }
    }

    @Override
    public void endElement(String uri, String localName,
            String qName) throws SAXException {
        if (qName.equals("domain_longTitle")) {
            domain_longTitle = text.toString();

        } else if (qName.equals("t_degreesC")) {
            double cc = Double.parseDouble(text.toString());
            if (cc >= t_degreesC) {
                System.out.printf("%s: %s%n", domain_longTitle, text.toString());
            }

        }
        text.delete(0, text.length());
    }
}
