/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package meteo;
import java.io.IOException;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.Scanner;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.XMLReaderFactory;
/**
 *
 * @author petr
 */
public class MeteoParser {
    /**
     * Adresa načítaného souboru.
     */
    public static String meteoAddr = "http://meteo.arso.gov.si/uploads/probase/www/observ/surface/text/en/observation_eu_latest.xml";

    public static void main(String[] args) {
        Scanner input = new Scanner(System.in);
        System.out.print("Zadejte C: ");
        double c = input.nextDouble();

        XMLReader reader;
        try {
            reader = XMLReaderFactory.createXMLReader();
            reader.setContentHandler(new MeteoHandler(c));
            URL url = new URL(meteoAddr);
            InputSource source = new InputSource(url.openStream());
            reader.parse(source);
        } catch (MalformedURLException ex) {
               ex.printStackTrace();
               return;
        } catch (SAXException ex) {
               ex.printStackTrace();
               return;
        } catch(IOException ex){
               ex.printStackTrace();
               return;
        }

    }
}
